org.fourthline.cling.support.messagebox.model

## Class MessageScheduleReminder

- java.lang.Object
- - org.fourthline.cling.support.messagebox.model.Message
  - - org.fourthline.cling.support.messagebox.model.MessageScheduleReminder

- All Implemented Interfaces:
    ElementAppender

      public class MessageScheduleReminder
      extends Message

  Author:
    Christian Bauer

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.fourthline.cling.support.messagebox.model.Message

      `Message.Category, Message.DisplayType`

  - ### Field Summary

    - ### Fields inherited from class org.fourthline.cling.support.messagebox.model.Message

      `randomGenerator`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MessageScheduleReminder(DateTime startTime, NumberName owner, String subject, DateTime endTime, String location, String body)`
    `MessageScheduleReminder(Message.DisplayType displayType, DateTime startTime, NumberName owner, String subject, DateTime endTime, String location, String body)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `appendMessageElements(MessageElement parent)`
    `String` | `getBody()`
    `DateTime` | `getEndTime()`
    `String` | `getLocation()`
    `NumberName` | `getOwner()`
    `DateTime` | `getStartTime()`
    `String` | `getSubject()`

    - ### Methods inherited from class org.fourthline.cling.support.messagebox.model.Message

      `equals, getCategory, getDisplayType, getId, hashCode, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### MessageScheduleReminder

          public MessageScheduleReminder(DateTime startTime,
                                         NumberName owner,
                                         String subject,
                                         DateTime endTime,
                                         String location,
                                         String body)

    - #### MessageScheduleReminder

          public MessageScheduleReminder(Message.DisplayType displayType,
                                         DateTime startTime,
                                         NumberName owner,
                                         String subject,
                                         DateTime endTime,
                                         String location,
                                         String body)

  - ### Method Detail

    - #### getStartTime

          public DateTime getStartTime()

    - #### getOwner

          public NumberName getOwner()

    - #### getSubject

          public String getSubject()

    - #### getEndTime

          public DateTime getEndTime()

    - #### getLocation

          public String getLocation()

    - #### getBody

          public String getBody()

    - #### appendMessageElements

          public void appendMessageElements(MessageElement parent)

Copyright © 2016 4th Line GmbH, Switzerland. All rights reserved.